%global pypi_name dictdiffer

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.9.0
Release:    %mkrel 1
Summary:    Dictdiffer is a library that helps you to diff and patch dictionaries
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/dictdiffer/
Source0:    %pypi_source
BuildArch:  noarch
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest-runner)

%description
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%package -n python3-%{pypi_name}
Summary: %{summary}
Group:      Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build

%install
%py_install

%if %{with check}
%check
%{python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%doc README.rst
%doc LICENSE
%{python3_sitelib}/dictdiffer
%{python3_sitelib}/dictdiffer-%{version}-*.egg-info


%changelog
* Mon Mar 21 2022 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1815377
- imported package python-dictdiffer

